package hikapro.com.backpack.presenter.adapters;

import android.support.v7.widget.RecyclerView;
import android.view.ViewGroup;

import hikapro.com.backpack.presenter.SetListPresenter;
import hikapro.com.backpack.view.recycler.SetViewHolder;

/**
 * Created by tariel on 20/04/16.
 */
public class SetListAdapter extends  RecyclerView.Adapter<SetViewHolder> {

    private SetListPresenter presenter;

    public SetListAdapter(SetListPresenter presenter) {
        this.presenter = presenter;
    }

    @Override
    public void onBindViewHolder(SetViewHolder holder, int position) {
        presenter.bindViewHolder(holder, position);
    }

    @Override
    public SetViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return presenter.createViewHolder(parent, viewType);
    }

    @Override
    public int getItemCount() {
        return presenter.getSetsCount();
    }
}
