package hikapro.com.backpack.view;

import android.content.Context;
import android.widget.Toast;

import hikapro.com.backpack.model.entities.Item;
import hikapro.com.backpack.model.entities.Set;
import hikapro.com.backpack.presenter.Presenter;

/**
 * Created by tariel on 19/04/16.
 */
public interface View {

    interface Base {
        Context getAppContext();
        Context getActivityContext();
    }
    interface SetList extends Base {
        void showItemList(Set set);
        void setPresenter(Presenter.SetList presenter);
    }

    interface ItemList extends Base {
        void showItemDetail(Item item);
        void setPresenter(Presenter.ItemList presenter);
    }
    interface ItemDetail extends Base {

    }
    interface ActivityCallback {
        void startItemListFragment(Set set);
        void startItemDetailFragment();

    }
}
